Buildroot Archive on lore.kernel.org
 help / color / mirror / Atom feed
* [Buildroot] [PATCH 1/2] package/apache: add config option to enable mod_md
@ 2025-12-07 21:48 Fiona Klute via buildroot
  2025-12-07 21:48 ` [Buildroot] [PATCH 2/2] package/apache: fix checkpackage warnings in init script Fiona Klute via buildroot
  2025-12-30 13:19 ` [Buildroot] [PATCH 1/2] package/apache: add config option to enable mod_md Thomas Petazzoni via buildroot
  0 siblings, 2 replies; 4+ messages in thread
From: Fiona Klute via buildroot @ 2025-12-07 21:48 UTC (permalink / raw)
  To: buildroot; +Cc: Bernd Kuhls, Fiona Klute

mod_md allows Apache httpd to automatically provision certificates for
HTTPS via the ACME protocol (e.g. from Let's Encrypt), if configured
to do so. The additional dependencies are non-obvious, so add a config
option instead of only enabling the module if dependencies are met.

Signed-off-by: Fiona Klute <fiona.klute@gmx.de>
---
 package/apache/Config.in | 12 ++++++++++++
 package/apache/apache.mk |  9 +++++++++
 2 files changed, 21 insertions(+)

diff --git a/package/apache/Config.in b/package/apache/Config.in
index 270296bce4..6b21428c2c 100644
--- a/package/apache/Config.in
+++ b/package/apache/Config.in
@@ -41,6 +41,18 @@ config BR2_PACKAGE_APACHE_MPM_WORKER
 
 endchoice
 
+config BR2_PACKAGE_APACHE_MOD_MD
+	bool "mod_md"
+	select BR2_PACKAGE_JANSSON
+	select BR2_PACKAGE_LIBCURL
+	select BR2_PACKAGE_LIBCURL_FORCE_TLS
+	select BR2_PACKAGE_OPENSSL
+	help
+	  Enable mod_md, which handles TLS certificate provisioning
+	  via the ACME protocol, and OCSP stapling.
+
+	  https://httpd.apache.org/docs/current/mod/mod_md.html
+
 endif
 
 comment "apache needs a toolchain w/ dynamic library, threads"
diff --git a/package/apache/apache.mk b/package/apache/apache.mk
index 06f964b083..3b1574cb78 100644
--- a/package/apache/apache.mk
+++ b/package/apache/apache.mk
@@ -91,6 +91,15 @@ else
 APACHE_CONF_OPTS += --disable-ssl
 endif
 
+ifeq ($(BR2_PACKAGE_APACHE_MOD_MD),y)
+APACHE_CONF_OPTS += --enable-md
+# BR2_PACKAGE_APACHE_MOD_MD selects BR2_PACKAGE_OPENSSL, so openssl is
+# added above
+APACHE_DEPENDENCIES += jansson libcurl
+else
+APACHE_CONF_OPTS += --disable-md
+endif
+
 ifeq ($(BR2_PACKAGE_ZLIB),y)
 APACHE_DEPENDENCIES += zlib
 APACHE_CONF_OPTS += \
-- 
2.51.0

_______________________________________________
buildroot mailing list
buildroot@buildroot.org
https://lists.buildroot.org/mailman/listinfo/buildroot

^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [Buildroot] [PATCH 2/2] package/apache: fix checkpackage warnings in init script
  2025-12-07 21:48 [Buildroot] [PATCH 1/2] package/apache: add config option to enable mod_md Fiona Klute via buildroot
@ 2025-12-07 21:48 ` Fiona Klute via buildroot
  2026-01-13 19:46   ` Arnout Vandecappelle via buildroot
  2025-12-30 13:19 ` [Buildroot] [PATCH 1/2] package/apache: add config option to enable mod_md Thomas Petazzoni via buildroot
  1 sibling, 1 reply; 4+ messages in thread
From: Fiona Klute via buildroot @ 2025-12-07 21:48 UTC (permalink / raw)
  To: buildroot; +Cc: Bernd Kuhls, Fiona Klute

Signed-off-by: Fiona Klute <fiona.klute@gmx.de>
---
 .checkpackageignore      |  1 -
 package/apache/S50apache | 22 +++++++++++-----------
 2 files changed, 11 insertions(+), 12 deletions(-)

diff --git a/.checkpackageignore b/.checkpackageignore
index 9ef65e8724..09d29f8194 100644
--- a/.checkpackageignore
+++ b/.checkpackageignore
@@ -201,7 +201,6 @@ package/android-tools/0009-Fix-makefiles-for-out-of-tree-ext4_utils-build.patch
 package/android-tools/0010-adb-added-patch-for-openssl-1.1.0-compatibility.patch lib_patch.Upstream
 package/aoetools/0001-Change-shell-script-interpreter-from-bin-bash-to-bin.patch lib_patch.Upstream
 package/apache/0001-cross-compile.patch lib_patch.Upstream
-package/apache/S50apache Shellcheck lib_sysv.Indent lib_sysv.Variables
 package/apr-util/0001-remove-checkapr.patch lib_patch.Upstream
 package/apr/0001-sys-param-h.patch lib_patch.Upstream
 package/apr/0002-Revert-Backport-r1872164.-Fix-the-name-of-libtool-wh.patch lib_patch.Upstream
diff --git a/package/apache/S50apache b/package/apache/S50apache
index b687419055..71e8837bae 100644
--- a/package/apache/S50apache
+++ b/package/apache/S50apache
@@ -1,15 +1,15 @@
 #!/bin/sh
+# shellcheck disable=SC2034 # checkpackage-required variable
+DAEMON="apache"
 
 case "$1" in
-  start|restart|graceful|graceful-stop|stop)
-	apachectl -k $1
-	;;
-  reload)
-	apachectl -k restart
-	;;
-  *)
-	echo "Usage: $0 {start|restart|reload|graceful|graceful-stop|stop}"
-	exit 1
+	start|restart|graceful|graceful-stop|stop)
+		apachectl -k "$1"
+		;;
+	reload)
+		apachectl -k restart
+		;;
+	*)
+		echo "Usage: $0 {start|restart|reload|graceful|graceful-stop|stop}"
+		exit 1
 esac
-
-exit $?
-- 
2.51.0

_______________________________________________
buildroot mailing list
buildroot@buildroot.org
https://lists.buildroot.org/mailman/listinfo/buildroot

^ permalink raw reply related	[flat|nested] 4+ messages in thread

* Re: [Buildroot] [PATCH 1/2] package/apache: add config option to enable mod_md
  2025-12-07 21:48 [Buildroot] [PATCH 1/2] package/apache: add config option to enable mod_md Fiona Klute via buildroot
  2025-12-07 21:48 ` [Buildroot] [PATCH 2/2] package/apache: fix checkpackage warnings in init script Fiona Klute via buildroot
@ 2025-12-30 13:19 ` Thomas Petazzoni via buildroot
  1 sibling, 0 replies; 4+ messages in thread
From: Thomas Petazzoni via buildroot @ 2025-12-30 13:19 UTC (permalink / raw)
  To: Fiona Klute via buildroot; +Cc: Fiona Klute, Bernd Kuhls

On Sun,  7 Dec 2025 22:48:47 +0100
Fiona Klute via buildroot <buildroot@buildroot.org> wrote:

> mod_md allows Apache httpd to automatically provision certificates for
> HTTPS via the ACME protocol (e.g. from Let's Encrypt), if configured
> to do so. The additional dependencies are non-obvious, so add a config
> option instead of only enabling the module if dependencies are met.
> 
> Signed-off-by: Fiona Klute <fiona.klute@gmx.de>
> ---
>  package/apache/Config.in | 12 ++++++++++++
>  package/apache/apache.mk |  9 +++++++++
>  2 files changed, 21 insertions(+)

Thanks, both patches applied!

Thomas
-- 
Thomas Petazzoni, CTO, Bootlin
Embedded Linux and Kernel engineering
https://bootlin.com
_______________________________________________
buildroot mailing list
buildroot@buildroot.org
https://lists.buildroot.org/mailman/listinfo/buildroot

^ permalink raw reply	[flat|nested] 4+ messages in thread

* Re: [Buildroot] [PATCH 2/2] package/apache: fix checkpackage warnings in init script
  2025-12-07 21:48 ` [Buildroot] [PATCH 2/2] package/apache: fix checkpackage warnings in init script Fiona Klute via buildroot
@ 2026-01-13 19:46   ` Arnout Vandecappelle via buildroot
  0 siblings, 0 replies; 4+ messages in thread
From: Arnout Vandecappelle via buildroot @ 2026-01-13 19:46 UTC (permalink / raw)
  To: Fiona Klute; +Cc: Arnout Vandecappelle, buildroot

In reply of:
> Signed-off-by: Fiona Klute <fiona.klute@gmx.de>

Applied to 2025.02.x and 2025.11.x. Thanks

> ---
>  .checkpackageignore      |  1 -
>  package/apache/S50apache | 22 +++++++++++-----------
>  2 files changed, 11 insertions(+), 12 deletions(-)
> 
> diff --git a/.checkpackageignore b/.checkpackageignore
> index 9ef65e8724..09d29f8194 100644
> --- a/.checkpackageignore
> +++ b/.checkpackageignore
> @@ -201,7 +201,6 @@ package/android-tools/0009-Fix-makefiles-for-out-of-tree-ext4_utils-build.patch
>  package/android-tools/0010-adb-added-patch-for-openssl-1.1.0-compatibility.patch lib_patch.Upstream
>  package/aoetools/0001-Change-shell-script-interpreter-from-bin-bash-to-bin.patch lib_patch.Upstream
>  package/apache/0001-cross-compile.patch lib_patch.Upstream
> -package/apache/S50apache Shellcheck lib_sysv.Indent lib_sysv.Variables
>  package/apr-util/0001-remove-checkapr.patch lib_patch.Upstream
>  package/apr/0001-sys-param-h.patch lib_patch.Upstream
>  package/apr/0002-Revert-Backport-r1872164.-Fix-the-name-of-libtool-wh.patch lib_patch.Upstream
> diff --git a/package/apache/S50apache b/package/apache/S50apache
> index b687419055..71e8837bae 100644
> --- a/package/apache/S50apache
> +++ b/package/apache/S50apache
> @@ -1,15 +1,15 @@
>  #!/bin/sh
> +# shellcheck disable=SC2034 # checkpackage-required variable
> +DAEMON="apache"
>  
>  case "$1" in
> -  start|restart|graceful|graceful-stop|stop)
> -	apachectl -k $1
> -	;;
> -  reload)
> -	apachectl -k restart
> -	;;
> -  *)
> -	echo "Usage: $0 {start|restart|reload|graceful|graceful-stop|stop}"
> -	exit 1
> +	start|restart|graceful|graceful-stop|stop)
> +		apachectl -k "$1"
> +		;;
> +	reload)
> +		apachectl -k restart
> +		;;
> +	*)
> +		echo "Usage: $0 {start|restart|reload|graceful|graceful-stop|stop}"
> +		exit 1
>  esac
> -
> -exit $?
> -- 
> 2.51.0
> 
> _______________________________________________
> buildroot mailing list
> buildroot@buildroot.org
> https://lists.buildroot.org/mailman/listinfo/buildroot
_______________________________________________
buildroot mailing list
buildroot@buildroot.org
https://lists.buildroot.org/mailman/listinfo/buildroot

^ permalink raw reply	[flat|nested] 4+ messages in thread

end of thread, other threads:[~2026-01-13 19:46 UTC | newest]

Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2025-12-07 21:48 [Buildroot] [PATCH 1/2] package/apache: add config option to enable mod_md Fiona Klute via buildroot
2025-12-07 21:48 ` [Buildroot] [PATCH 2/2] package/apache: fix checkpackage warnings in init script Fiona Klute via buildroot
2026-01-13 19:46   ` Arnout Vandecappelle via buildroot
2025-12-30 13:19 ` [Buildroot] [PATCH 1/2] package/apache: add config option to enable mod_md Thomas Petazzoni via buildroot

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox